Skip to main content
GET
/
api
/
v4.0
/
integrations
/
customers
/
{customerId}
/
notifications
cURL
curl -X GET 'https://api.gameball.co/api/v4.0/integrations/customers/12345/notifications' -H 'apikey: YOUR_API_KEY' -H 'secretkey: YOUR_SECRET_KEY'
const res = await fetch('https://api.gameball.co/api/v4.0/integrations/customers/12345/notifications',{ headers:{ apikey:'YOUR_API_KEY', secretkey:'YOUR_SECRET_KEY'}}); const data = await res.json();
import requests
resp = requests.get('https://api.gameball.co/api/v4.0/integrations/customers/12345/notifications', headers={'apikey':'YOUR_API_KEY','secretkey':'YOUR_SECRET_KEY'})
print(resp.json())
using System.Net.Http;
var client = new HttpClient();
client.DefaultRequestHeaders.Add("apikey", "YOUR_API_KEY");
client.DefaultRequestHeaders.Add("secretkey", "YOUR_SECRET_KEY");
var res = await client.GetAsync("https://api.gameball.co/api/v4.0/integrations/customers/12345/notifications");
res.EnsureSuccessStatusCode();
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.gameball.co/api/v4.0/integrations/customers/{customerId}/notifications"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("apikey", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php\n$ch = curl_init('https://api.gameball.co/api/v4.0/integrations/customers/12345/notifications');\ncurl_setopt_array($ch, [CURLOPT_HTTPHEADER => ['apikey: YOUR_API_KEY','secretkey: YOUR_SECRET_KEY'], CURLOPT_RETURNTRANSFER => true]);\n$resp = curl_exec($ch);\n?>
HttpResponse<String> response = Unirest.get("https://api.gameball.co/api/v4.0/integrations/customers/{customerId}/notifications")
.header("apikey", "<api-key>")
.asString();
{
  "notifications": [
    {
      "id": "<string>",
      "title": "<string>",
      "body": "<string>",
      "isRead": true,
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "nextCursor": "<string>"
}
This API retrieves a paged list of notifications for a specific customer in Gameball, identified by customerId. Each notification includes details such as title, message content, read status, and timestamp.
Security: Requires apikey header.

Authorizations

apikey
string
header
required

Path Parameters

customerId
string
required

Unique identifier for the customer

Query Parameters

startAfter
integer<int64>
default:0

Specifies the page will start after which notification id

limit
integer
default:50

Number of notifications to return per page

Required range: x <= 200
isRead
boolean

Filter notifications based on their read status

lang
string

Language in which notifications will be retrieved

Response

200 - application/json

Notifications list

notifications
object[]
nextCursor
string | null